Update sync frequency
curl --request PUT \
--url https://api.nango.dev/sync/update-connection-frequency \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"provider_config_key": "<string>",
"connection_id": "<string>",
"sync_name": "<string>",
"frequency": "<string>",
"sync_variant": "<string>"
}
'import requests
url = "https://api.nango.dev/sync/update-connection-frequency"
payload = {
"provider_config_key": "<string>",
"connection_id": "<string>",
"sync_name": "<string>",
"frequency": "<string>",
"sync_variant": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
provider_config_key: '<string>',
connection_id: '<string>',
sync_name: '<string>',
frequency: '<string>',
sync_variant: '<string>'
})
};
fetch('https://api.nango.dev/sync/update-connection-frequency', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nango.dev/sync/update-connection-frequency",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'provider_config_key' => '<string>',
'connection_id' => '<string>',
'sync_name' => '<string>',
'frequency' => '<string>',
'sync_variant' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nango.dev/sync/update-connection-frequency"
payload := strings.NewReader("{\n \"provider_config_key\": \"<string>\",\n \"connection_id\": \"<string>\",\n \"sync_name\": \"<string>\",\n \"frequency\": \"<string>\",\n \"sync_variant\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.nango.dev/sync/update-connection-frequency")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"provider_config_key\": \"<string>\",\n \"connection_id\": \"<string>\",\n \"sync_name\": \"<string>\",\n \"frequency\": \"<string>\",\n \"sync_variant\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nango.dev/sync/update-connection-frequency")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"provider_config_key\": \"<string>\",\n \"connection_id\": \"<string>\",\n \"sync_name\": \"<string>\",\n \"frequency\": \"<string>\",\n \"sync_variant\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"frequency": "<string>"
}{
"message": "<string>"
}Syncs
Override sync connection frequency
Override a sync’s default frequency for a specific connection, or revert to the default frequency.
PUT
/
sync
/
update-connection-frequency
Update sync frequency
curl --request PUT \
--url https://api.nango.dev/sync/update-connection-frequency \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"provider_config_key": "<string>",
"connection_id": "<string>",
"sync_name": "<string>",
"frequency": "<string>",
"sync_variant": "<string>"
}
'import requests
url = "https://api.nango.dev/sync/update-connection-frequency"
payload = {
"provider_config_key": "<string>",
"connection_id": "<string>",
"sync_name": "<string>",
"frequency": "<string>",
"sync_variant": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
provider_config_key: '<string>',
connection_id: '<string>',
sync_name: '<string>',
frequency: '<string>',
sync_variant: '<string>'
})
};
fetch('https://api.nango.dev/sync/update-connection-frequency', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nango.dev/sync/update-connection-frequency",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'provider_config_key' => '<string>',
'connection_id' => '<string>',
'sync_name' => '<string>',
'frequency' => '<string>',
'sync_variant' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nango.dev/sync/update-connection-frequency"
payload := strings.NewReader("{\n \"provider_config_key\": \"<string>\",\n \"connection_id\": \"<string>\",\n \"sync_name\": \"<string>\",\n \"frequency\": \"<string>\",\n \"sync_variant\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.nango.dev/sync/update-connection-frequency")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"provider_config_key\": \"<string>\",\n \"connection_id\": \"<string>\",\n \"sync_name\": \"<string>\",\n \"frequency\": \"<string>\",\n \"sync_variant\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nango.dev/sync/update-connection-frequency")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"provider_config_key\": \"<string>\",\n \"connection_id\": \"<string>\",\n \"sync_name\": \"<string>\",\n \"frequency\": \"<string>\",\n \"sync_variant\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"frequency": "<string>"
}{
"message": "<string>"
}Requires an API key with the
environment:syncs:update scope. Learn more about API key scopes.Authorizations
Body
application/json
The frequency you want to set (ex: 'every hour'). Set null to revert to the default frequency. Uses the https://github.com/vercel/ms notations. Min frequency: 30 seconds.
Was this page helpful?